Page MenuHomePhabricator

Newsletter extension doesn't explain how notifications will be received
Closed, ResolvedPublic

Description

@Peteforsyth says:

In the popup notification, it tells you that you'll be notified, but it doesn't tell you how. User talk page? Email? Echo notification?

Providing that explanation in the dialog itself seems excessive. This is basic information, so perhaps it should be at Special:Newsletters, right under the header.

Currently there is no intro text, and the text of the dialog is

You have been subscribed to "(Newsletter name)" newsletter. You will now receive notifications when new issues of this newsletter are announced.

Instead, we could have an intro and make the dialog shorter:

Intro:

This is a list of newsletters registered to this wiki. Subscribe to a newsletter to receive a notification when a new issue is announced. You will receive notifications via web or email, according to your preferences.

Dialog:

You have subscribed to "(Newsletter name)".

If we apply this change, then the Unsubscribe dialog should be changed as well:

You are no longer a subscriber of "(Newsletter name)".

Details

Related Gerrit Patches:

Event Timeline

QuimGil created this task.Jan 6 2017, 1:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2017, 1:00 PM

Elegant solution, @QuimGil. One tiny adjustment, I'd remove the word "been," so it reads simply:

You have subscribed to "(Newsletter name)".

Qgil updated the task description. (Show Details)Jan 7 2017, 11:37 AM
nikitavbv claimed this task.Jan 9 2017, 7:46 PM

Change 331402 had a related patch set uploaded (by Phantom42):
Added intro message to Special:Newsletter, shortened dialog messages

https://gerrit.wikimedia.org/r/331402

Change 331402 merged by jenkins-bot:
Added intro message to Special:Newsletter, shortened dialog messages

https://gerrit.wikimedia.org/r/331402

nikitavbv closed this task as Resolved.Jan 13 2017, 11:01 PM

The patch is merged, so I think we can mark this as resolved.

Qgil awarded a token.Jan 15 2017, 9:51 PM